JavaScript/jQuery TextArea - Overview

The TextArea is a UI component that enables a user to enter and edit a multi-line text.

View Demo

The following code adds a simple TextArea with a placeholder to your page.

HTML
JavaScript
  • <div id="textAreaContainer"></div>
  • $(function() {
  • $("#textAreaContainer").dxTextArea({
  • placeholder: "Type a text here..."
  • });
  • });

By default, the TextArea checks the entered text for spelling errors. To disable this feature, assign false to the spellcheck property.

JavaScript
  • $(function() {
  • $("#textAreaContainer").dxTextArea({
  • spellcheck: false
  • });
  • });

If an end user should not be able to edit the text in the TextArea, assign true to the readOnly property. In this case, make sure to set the value property too.

JavaScript
  • $(function() {
  • $("#textAreaContainer").dxTextArea({
  • value: "The text that should not be edited",
  • readOnly: true
  • });
  • });
See Also

Vue TextArea - Overview

The TextArea is a UI component that enables a user to enter and edit a multi-line text.

View Demo

The following code adds a simple TextArea with a placeholder to your page.

  • <template>
  • <DxTextArea placeholder="Type a text here..."/>
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxTextArea } from 'devextreme-vue/text-area';
  •  
  • export default {
  • components: {
  • DxTextArea
  • }
  • }
  • </script>

By default, the TextArea checks the entered text for spelling errors. To disable this feature, assign false to the spellcheck property.

  • <template>
  • <DxTextArea :spellcheck="false"/>
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxTextArea } from 'devextreme-vue/text-area';
  •  
  • export default {
  • components: {
  • DxTextArea
  • }
  • }
  • </script>

If an end user should not be able to edit the text in the TextArea, assign true to the readOnly property. In this case, make sure to set the value property too.

  • <template>
  • <DxTextArea
  • :read-only="true"
  • value="The text that should not be edited"
  • />
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxTextArea } from 'devextreme-vue/text-area';
  •  
  • export default {
  • components: {
  • DxTextArea
  • }
  • }
  • </script>
See Also

React TextArea - Overview

The TextArea is a UI component that enables a user to enter and edit a multi-line text.

View Demo

The following code adds a simple TextArea with a placeholder to your page.

  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { TextArea } from 'devextreme-react/text-area';
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <TextArea placeholder="Type a text here..."/>
  • );
  • }
  • }
  •  
  • export default App;

By default, the TextArea checks the entered text for spelling errors. To disable this feature, assign false to the spellcheck property.

  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { TextArea } from 'devextreme-react/text-area';
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <TextArea spellcheck={false}/>
  • );
  • }
  • }
  •  
  • export default App;

If an end user should not be able to edit the text in the TextArea, assign true to the readOnly property. In this case, make sure to set the value property too.

  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { TextArea } from 'devextreme-react/text-area';
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <TextArea
  • readOnly={true}
  • value="The text that should not be edited"
  • />
  • );
  • }
  • }
  •  
  • export default App;
See Also